## /run/

Run control commands.

## Sub-directories :

/run/particle/

  Commands for G4VUserPhysicsList.

## Commands :

initialize

  Initialize G4 kernel.

  Available Geant4 state(s) : PreInit Idle

beamOn [numberOfEvent] [macroFile] [nSelect]

  Start a Run.
  If G4 kernel is not initialized, it will be initialized.
  Default number of events to be processed is 1.
  The second and third arguments can be used for
  executing a macro file at the end of each event.
  If the second argument, i.e. name of the macro
  file, is given but the third argument is not,
  the macro file will be executed for all of the
  event.
  If the third argument (nSelect) is given, the
  macro file will be executed only for the first
  nSelect events.

  Available Geant4 state(s) : PreInit Idle

  Parameters

  numberOfEvent | type i | Omittable : default value = 1 | Parameter range : numberOfEvent >= 0
  macroFile | type s | Omittable : default value = ***NULL*** |
  nSelect | type i | Omittable : default value = -1 | Parameter range : nSelect>=-1

verbose [level]

  Set the Verbose level of G4RunManager.
  0 : Silent (default)
  1 : Display main topics
  2 : Display main topics and run summary

  Range : level >=0 && level <=2

  Available at all Geant4 states.

  Parameters

  level | type i | Omittable : default value = 0 |

dumpRegion [regionName]

  Dump region information.
  In case name of a region is not given, all regions will be displayed.

  Available Geant4 state(s) : Idle

  Parameters

  regionName | type s | Omittable : default value = **ALL** |

dumpCouples

  Dump material-cuts-couple information.
  Note that material-cuts-couple information is updated
  after BeamOn has started.

  Available Geant4 state(s) : Idle

optimizeGeometry [optimizeFlag]

  Set the optimization flag for geometry.
  If it is set to TRUE, G4GeometryManager will optimize
  the geometry definitions.
  GEANT4 is initialized with this flag as TRUE.

  Available Geant4 state(s) : PreInit Idle

  Parameters

  optimizeFlag | type b | Omittable : default value = 1 |

breakAtBeginOfEvent [flag]

  Set a break point at the begining of every event.

  Available at all Geant4 states.

  Parameters

  flag | type b | Omittable : default value = 1 |

breakAtEndOfEvent [flag]

  Set a break point at the end of every event.

  Available at all Geant4 states.

  Parameters

  flag | type b | Omittable : default value = 1 |

abort [softAbort]

  Abort current run processing.
  If softAbort is false (default), currently processing event will be immediately aborted,
  while softAbort is true, abortion occurs after processing the current event.

  Available Geant4 state(s) : GeomClosed EventProc

  Parameters

  softAbort | type b | Omittable : default value = 0 |

abortCurrentEvent

  Abort currently processing event.

  Available Geant4 state(s) : EventProc

geometryModified

  Force geometry to be closed again.
  This command must be applied
  if geometry has been modified after the
  first initialization (or BeamOn).

  Available Geant4 state(s) : PreInit Idle

physicsModified

  Force all physics tables recalculated again.
  This command must be applied
  if physics process has been modified after the
  first initialization (or BeamOn).

  Available Geant4 state(s) : PreInit Idle

cutoffModified

  /run/cutoffModified becomes obsolete.
  It is safe to remove invoking this command.

  Available at all Geant4 states.

randomNumberStatusDirectory [fileName]

  Define the directory name of the rndm status files.
  Directory must be creates before storing the files.

  Available Geant4 state(s) : PreInit Idle GeomClosed

  Parameters

  fileName | type s | Omittable : default value = ./ |

storeRandomNumberStatus [flag]

  The randomNumberStatus will be saved at :
  begining of run (currentRun.rndm) and begining of event (currentEvent.rndm)

  Available at all Geant4 states.

  Parameters

  flag | type i | Omittable : default value = 1 |

restoreRandomNumberStatus [fileName]

  Reset the status of the rndm engine from a file.
  See CLHEP manual for detail.
  The engine status must be stored beforehand.
  Directory of the status file should be set by /random/setDirectoryName.

  Available Geant4 state(s) : PreInit Idle GeomClosed

  Parameters

  fileName | type s | Omittable : default value = currentRun.rndm |

setCut [cut] [Unit]

  Set default cut value

  Range : cut >0.0

  Available Geant4 state(s) : PreInit Idle

  Parameters

  cut | type d |  |
  Unit | type s | Omittable : default value = mm | Parameter candidates : pc km m cm mm mum nm Ang fm parsec kilometer meter centimeter millimeter micrometer nanometer angstrom fermi

setCutForRegion [Region] [cut] [Unit]

  Set cut value for a region

  Available Geant4 state(s) : Idle

  Parameters

  Region | type s |  |
  cut | type d |  | Parameter range : cut >0.0
  Unit | type s | Omittable : default value = mm | Parameter candidates : pc km m cm mm mum nm Ang fm parsec kilometer meter centimeter millimeter micrometer nanometer angstrom fermi